Setting panel headers in Angular Dashboard layout component

18 Nov 201823 minutes to read

The Dashboard Layout component is primarily used to represent data for monitoring or managing processes. HTML templates or data can be placed as the content of a panel using the content property. Panel headers, which provide context and help users quickly identify panel content, can be added using the header property. Headers appear at the top of each panel and typically contain a descriptive title or label.

The following example demonstrates how to add content for each panel using the header and content properties of the panels.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { DashboardLayoutModule } from '@syncfusion/ej2-angular-layouts'
import { Component, ViewEncapsulation } from '@angular/core';

@Component({
    imports: [DashboardLayoutModule],
    standalone: true,
    selector: 'app-root',
    template: `
    <div class="control-section">
        <ejs-dashboardlayout id='defaultLayout' #defaultLayout [columns]='columns' [cellSpacing]='cellSpacing' [panels]='panels'>
        </ejs-dashboardlayout>
    </div>`,
    encapsulation: ViewEncapsulation.None
})
export class AppComponent {
    public cellSpacing: number[] = [10, 10];
    public columns: number = 6;
    public panels: any = [{ 'id': 'Panel0', 'sizeX': 1, 'sizeY': 1, 'row': 0, 'col': 0, header: '<div>Panel 0</div>', content: '<div class="content">Panel Content<div>' },
    { 'id': 'Panel1', 'sizeX': 3, 'sizeY': 2, 'row': 0, 'col': 1, header: '<div>Panel 1</div>', content: '<div class="content">Panel Content<div>' },
    { 'id': 'Panel2', 'sizeX': 1, 'sizeY': 3, 'row': 0, 'col': 4, header: '<div>Panel 2</div>', content: '<div class="content">Panel Content<div>' },
    { 'id': 'Panel3', 'sizeX': 1, 'sizeY': 1, 'row': 1, 'col': 0, header: '<div>Panel 3</div>', content: '<div class="content">Panel Content<div>' },
    { 'id': 'Panel4', 'sizeX': 2, 'sizeY': 1, 'row': 2, 'col': 0, header: '<div>Panel 4</div>', content: '<div class="content">Panel Content<div>' },
    { 'id': 'Panel5', 'sizeX': 1, 'sizeY': 1, 'row': 2, 'col': 2, header: '<div>Panel 5</div>', content: '<div class="content">Panel Content<div>' },
    { 'id': 'Panel6', 'sizeX': 1, 'sizeY': 1, 'row': 2, 'col': 3, header: '<div>Panel 6</div>', content: '<div class="content">Panel Content<div>' }
    ]
}
@import "node_modules/@syncfusion/ej2-base/styles/material3.css";
@import 'node_modules/@syncfusion/ej2-angular-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-layouts/styles/material3.css';

.control-section {
    margin: 0 auto;
    width: 500px;
}

#defaultLayout {
    padding: 10px;
}

#defaultLayout .e-panel .e-panel-container .content {
    font-weight: 600;
    text-align: center;
    margin-top: 10px;
    line-height: 100%;
}

.e-dashboard-layout.e-control .e-panel .e-panel-container .e-panel-header {
    color: rgba(0, 0, 0, 0.61);
}

.e-panel .e-header-text {
    padding: 12px 0 12px 0;
}

.e-dashboard-layout.e-control .e-panel:hover {
    border: 0px;
}

.e-dashboard-layout.e-control .e-panel .e-panel-header {
    font-size: 15px;
    font-weight: 500;
    height: 37px;
    padding: 10px;
    vertical-align: middle;
    /* text-align: left; */
    border-bottom: 0.5px solid rgba(0, 0, 0, .125);
}

.e-panel-header {
    padding: 10px;
    margin-bottom: 0;
    background-color: rgba(0, 0, 0, .03);
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Integrating Syncfusion components as panel content

Dashboard panels commonly display complex data through components like charts, grids, maps, and gauges. Such components can be placed as the panel content by assigning the corresponding component element to the content of the panel.

The following example demonstrates how to integrate EJ2-Chart components as the content for each panel in the dashboard layout component.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { DashboardLayoutModule } from '@syncfusion/ej2-angular-layouts'
import { ChartAllModule, AccumulationChartAllModule } from '@syncfusion/ej2-angular-charts'



import { Component, ViewEncapsulation } from '@angular/core';

@Component({
imports: [ DashboardLayoutModule, ChartAllModule, AccumulationChartAllModule],


standalone: true,
    selector: 'app-root',
    template: `
        <div class="control-section">
            <ejs-dashboardlayout [columns]="6" #editLayout [cellSpacing]='cellSpacing'>
                <e-panels>
                    <e-panel [sizeX]="3" [sizeY]="2" [row]="0" [col]="0">
                        <ng-template #header>
                            <div>Product usage ratio</div>
                        </ng-template>
                        <ng-template #content>
                            <div id="column">
                                <ejs-chart id="columnChart" height="162px" [primaryXAxis]='primaryXAxis'>
                                    <e-series-collection>
                                        <e-series [dataSource]="chartData" type='Column' xName='month' yName='sales'>
                                        </e-series>
                                    </e-series-collection>
                                </ejs-chart>
                            </div>
                        </ng-template>
                    </e-panel>
                    <e-panel [sizeX]="3" [sizeY]="2" [row]="0" [col]="3">
                        <ng-template #header>
                            <div>Last year Sales Comparison</div>
                        </ng-template>
                        <ng-template #content>
                            <div id="line">
                                <ejs-chart id="lineChart" height="162px" [primaryXAxis]='primaryXAxis'>
                                    <e-series-collection>
                                        <e-series [dataSource]="lineData" xName='x' yName='y' type="Line">
                                        </e-series>
                                    </e-series-collection>
                                </ejs-chart>
                            </div>
                        </ng-template>
                    </e-panel>
                    <e-panel [sizeX]="3" [sizeY]="2" [row]="2" [col]="0">
                        <ng-template #header>
                            <div>Sales increase percentage 1</div>
                        </ng-template>
                        <ng-template #content>
                            <div id="pie">
                                <ejs-accumulationchart id="pieChart" height="162px" [legendSettings]="legendSettings" [tooltip]='tooltip'>
                                    <e-accumulation-series-collection>
                                        <e-accumulation-series [dataSource]="piechart" xName="x" yName="y" innerRadius="20%"
                                            name="Browser" [dataLabel]='datalabel'>
                                        </e-accumulation-series>
                                    </e-accumulation-series-collection>
                                </ejs-accumulationchart>
                            </div>
                        </ng-template>
                    </e-panel>
                    <e-panel [sizeX]="3" [sizeY]="2" [row]="2" [col]="3">
                        <ng-template #header>
                            <div>Sales increase percentage 2</div>
                        </ng-template>
                        <ng-template #content>
                            <div id="pie1">
                                <ejs-accumulationchart id="pieChart1" [enableAnimation]="false" height="162px"
                                    [tooltip]='tooltip' [legendSettings]='legendSettings'>
                                    <e-accumulation-series-collection>
                                        <e-accumulation-series [dataSource]="piechart1" xName="x" yName="y" radius="70%"
                                            name="Browser" [dataLabel]='datalabel'>
                                        </e-accumulation-series>
                                    </e-accumulation-series-collection>
                                </ejs-accumulationchart>
                            </div>
                        </ng-template>
                    </e-panel>
                </e-panels>
            </ejs-dashboardlayout>
        </div>`,
    encapsulation: ViewEncapsulation.None
})
export class AppComponent {
    public cellSpacing: number[] = [10, 10];
    public chartData: Object[] = [
      { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
      { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
      { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
      { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
      { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
      { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
    ];
    public primaryXAxis: Object = {
        valueType: 'Category'
    }
    public lineData: any[] = [
     { x: 2013, y: 28 }, { x: 2014, y: 25 },{ x: 2015, y: 26 }, { x: 2016, y: 27 },
    { x: 2017, y: 32 }, { x: 2018, y: 35 }
    ];
    public piechart: any[] = [{ x: 'TypeScript', y: 13, text: 'TS 13%' }, { x: 'React', y: 12.5, text: 'Reat 12.5%' },{ x: 'MVC', y: 12, text: 'MVC 12%' },{ x: 'Core', y: 12.5, text: 'Core 12.5%' },{ x: 'Vue', y: 10, text: 'Vue 10%' },{ x: 'Angular', y: 40, text: 'Angular 40%' }];
    public piechart1: any[] = [
     { 'x': 'Chrome', y: 37, text: '37%' },
     { 'x': 'UC Browser', y: 17, text: '17%' },
     { 'x': 'iPhone', y: 19, text: '19%' },
     { 'x': 'Others', y: 4, text: '4%' },
     { 'x': 'Opera', y: 11, text: '11%' },
     { 'x': 'Android', y: 12, text: '12%' }
     ];
     public legendSettings: Object = {
        visible: false
    };
    tooltip: any;
    datalabel: any;
}
@import "node_modules/@syncfusion/ej2-base/styles/material3.css";
@import 'node_modules/@syncfusion/ej2-angular-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-layouts/styles/material3.css';

.control-section {
    margin: 0 auto;
    width: 600px;
}

.e-dashboard-layout.e-control .e-panel .e-panel-container .e-panel-header {
    color: rgba(0, 0, 0, 0.61);
}

.e-panel .e-header-text {
    padding: 12px 0 12px 0;
}

.e-dashboard-layout.e-control .e-panel:hover {
    border: 0px;
}

.e-dashboard-layout.e-control .e-panel .e-panel-header {
    font-size: 15px;
    font-weight: 500;
    height: 37px;
    padding: 10px;
    vertical-align: middle;
    border-bottom: 0.5px solid rgba(0, 0, 0, .125);
}

.e-panel-header {
    padding: 10px;
    margin-bottom: 0;
    background-color: rgba(0, 0, 0, .03);
}

.e-dashboard-layout.e-control .e-panel .e-panel-header {
    height: 30px
}

.e-dashboard-layout.e-control .e-panel .e-panel-header div {
    text-align: center;
}

.header {
    padding: 5px;
    display: inline-block;
}

.e-panel-content {
    height: 162px;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Refer to the Angular Dashboard Layout feature tour page for its groundbreaking feature representations. Also explore our Angular Dashboard Layout example to learn how to present and manipulate data.

Setting header of panels in Vue Dashboard Layout component

18 Nov 201824 minutes to read

The Dashboard Layout component is commonly used to present monitoring or management data. HTML templates and other content can be placed inside a panel using the content property. A concise label or phrase summarizing the panel’s content can be added at the top of each panel using the header property of the panel.

The following sample demonstrates how to provide header and content for each panel.

<template>
  <div class="col-lg-8 control-section">
    <ejs-dashboardlayout id="defaultLayout" :cellSpacing="spacing" :columns="7">
      <e-panels>
        <e-panel id="panel0" :row="0" :col="0" :sizeX="1" :sizeY="1" header="<div>Panel 0</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel1" :row="0" :col="1" :sizeX="3" :sizeY="2" header="<div>Panel 1</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel2" :row="0" :col="4" :sizeX="1" :sizeY="3" header="<div>Panel 2</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel3" :row="1" :col="0" :sizeX="1" :sizeY="1" header="<div>Panel 3</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel4" :row="2" :col="0" :sizeX="2" :sizeY="1" header="<div>Panel 4</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel5" :row="2" :col="2" :sizeX="1" :sizeY="1" header="<div>Panel 5</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel6" :row="2" :col="3" :sizeX="1" :sizeY="1" header="<div>Panel 6</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
      </e-panels>
    </ejs-dashboardlayout>
  </div>
</template>
  
<script setup>  
  // Import syncfusion Dashboard Layout component from layouts package
  import { DashboardLayoutComponent as EjsDashboardlayout, PanelDirective as EPanel, PanelsDirective as EPanels } from "@syncfusion/ej2-vue-layouts";
  
  const spacing = [10, 10];
  
</script>
  
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css";
  
  /* Dashboard Layout component styles  */
  #defaultLayout .e-panel .e-panel-container .e-panel-header {
    vertical-align: middle;
    font-weight: 600;
    font-size: 20px;
    text-align: center;
    padding: 10px
  }
  
  .e-panel-content {
    text-align: center;
    padding: 20px;
    line-height: 20px;
  }
  
  #defaultLayout .e-panel {
    transition: none !important;
  }
</style>
<template>
  <div class="col-lg-8 control-section">
    <ejs-dashboardlayout id="defaultLayout" :cellSpacing="spacing" :columns="7">
      <e-panels>
        <e-panel id="panel0" :row="0" :col="0" :sizeX="1" :sizeY="1" header="<div>Panel 0</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel1" :row="0" :col="1" :sizeX="3" :sizeY="2" header="<div>Panel 1</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel2" :row="0" :col="4" :sizeX="1" :sizeY="3" header="<div>Panel 2</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel3" :row="1" :col="0" :sizeX="1" :sizeY="1" header="<div>Panel 3</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel4" :row="2" :col="0" :sizeX="2" :sizeY="1" header="<div>Panel 4</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel5" :row="2" :col="2" :sizeX="1" :sizeY="1" header="<div>Panel 5</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
        <e-panel id="panel6" :row="2" :col="3" :sizeX="1" :sizeY="1" header="<div>Panel 6</div>"
          content='<div class="content">Panel Content<div>'></e-panel>
      </e-panels>
    </ejs-dashboardlayout>
  </div>
</template>
  
<script>
  
  // Import syncfusion Dashboard Layout component from layouts package
  import { DashboardLayoutComponent, PanelDirective, PanelsDirective } from "@syncfusion/ej2-vue-layouts";
  
  export default {
    name: "App",
    components: {
      "ejs-dashboardlayout": DashboardLayoutComponent,
      "e-panels": PanelsDirective,
      "e-panel": PanelDirective
    },
  
    data: function () {
      return {
        spacing: [10, 10]
      };
    }
  }
</script>
  
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css";
  
  /* Dashboard Layout component styles  */
  #defaultLayout .e-panel .e-panel-container .e-panel-header {
    vertical-align: middle;
    font-weight: 600;
    font-size: 20px;
    text-align: center;
    padding: 10px
  }
  
  .e-panel-content {
    text-align: center;
    padding: 20px;
    line-height: 20px;
  }
  
  #defaultLayout .e-panel {
    transition: none !important;
  }
</style>

Setting Content of panels using v-slot directive

The Dashboard Layout component in Syncfusion’s Vue.js suite facilitates dynamic content insertion into panels through the v-slot directive. This feature allows for the definition of custom content for each panel in a flexible and maintainable manner. By leveraging v-slot, it becomes straightforward to incorporate complex HTML structures, custom components, or dynamic content into each panel of the Dashboard Layout.

In the example below, the v-slot directive is employed with a named slot ‘panel0Content’ to specify the content for ‘panel0’. The content is encapsulated within a <template> tag, which corresponds to the :content attribute of the <e-panel>.

<template>
  <div class="col-lg-8 control-section">
    <ejs-dashboardlayout id="defaultLayout" :cellSpacing="spacing" :columns="7">
      <e-panels>
        <e-panel id="panel0" :row="0" :col="0" :sizeX="1" :sizeY="1" header="<div>Panel 0</div>" :content="'panel0Content'">
          <template v-slot:panel0Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel1" :row="0" :col="1" :sizeX="3" :sizeY="2" header="<div>Panel 1</div>" :content="'panel1Content'">
          <template v-slot:panel1Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel2" :row="0" :col="4" :sizeX="1" :sizeY="3" header="<div>Panel 2</div>" :content="'panel2Content'">
          <template v-slot:panel2Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel3" :row="1" :col="0" :sizeX="1" :sizeY="1" header="<div>Panel 3</div>" :content="'panel3Content'">
          <template v-slot:panel3Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel4" :row="2" :col="0" :sizeX="2" :sizeY="1" header="<div>Panel 4</div>" :content="'panel4Content'">
          <template v-slot:panel4Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel5" :row="2" :col="2" :sizeX="1" :sizeY="1" header="<div>Panel 5</div>" :content="'panel5Content'">
          <template v-slot:panel5Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel6" :row="2" :col="3" :sizeX="1" :sizeY="1" header="<div>Panel 6</div>" :content="'panel6Content'">
          <template v-slot:panel6Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
      </e-panels>
    </ejs-dashboardlayout>
  </div>
</template>

<script>
  // Import syncfusion Dashboard Layout component from layouts package
  import { DashboardLayoutComponent, PanelDirective, PanelsDirective } from "@syncfusion/ej2-vue-layouts";

  export default {
    name: "App",
    components: {
      "ejs-dashboardlayout": DashboardLayoutComponent,
      "e-panels": PanelsDirective,
      "e-panel": PanelDirective
    },
    data: function () {
      return {
        spacing: [10, 10]
      };
    }
  }
</script>

<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css";

  #defaultLayout .e-panel .e-panel-container .e-panel-header {
    vertical-align: middle;
    font-weight: 600;
    font-size: 20px;
    text-align: center;
    padding: 10px
  }

  .e-panel-content {
    text-align: center;
    padding: 20px;
  }

  #defaultLayout .e-panel {
    transition: none !important;
  }
</style>
<template>
  <div class="col-lg-8 control-section">
    <ejs-dashboardlayout id="defaultLayout" :cellSpacing="spacing" :columns="7">
      <e-panels>
        <e-panel id="panel0" :row="0" :col="0" :sizeX="1" :sizeY="1" header="<div>Panel 0</div>" :content="'panel0Content'">
          <template v-slot:panel0Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel1" :row="0" :col="1" :sizeX="3" :sizeY="2" header="<div>Panel 1</div>" :content="'panel1Content'">
          <template v-slot:panel1Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel2" :row="0" :col="4" :sizeX="1" :sizeY="3" header="<div>Panel 2</div>" :content="'panel2Content'">
          <template v-slot:panel2Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel3" :row="1" :col="0" :sizeX="1" :sizeY="1" header="<div>Panel 3</div>" :content="'panel3Content'">
          <template v-slot:panel3Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel4" :row="2" :col="0" :sizeX="2" :sizeY="1" header="<div>Panel 4</div>" :content="'panel4Content'">
          <template v-slot:panel4Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel5" :row="2" :col="2" :sizeX="1" :sizeY="1" header="<div>Panel 5</div>" :content="'panel5Content'">
          <template v-slot:panel5Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
        <e-panel id="panel6" :row="2" :col="3" :sizeX="1" :sizeY="1" header="<div>Panel 6</div>" :content="'panel6Content'">
          <template v-slot:panel6Content>
            <div class="content">Panel Content</div>
          </template>
        </e-panel>
      </e-panels>
    </ejs-dashboardlayout>
  </div>
</template>
  
<script>
  // Import syncfusion Dashboard Layout component from layouts package
  import { DashboardLayoutComponent, PanelDirective, PanelsDirective } from "@syncfusion/ej2-vue-layouts";

  export default {
    name: "App",
    components: {
      "ejs-dashboardlayout": DashboardLayoutComponent,
      "e-panels": PanelsDirective,
      "e-panel": PanelDirective
    },

    data: function () {
      return {
        spacing: [10, 10]
      };
    }
  }
</script>

<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css";

  #defaultLayout .e-panel .e-panel-container .e-panel-header {
    vertical-align: middle;
    font-weight: 600;
    font-size: 20px;
    text-align: center;
    padding: 10px
  }

  .e-panel-content {
    text-align: center;
    padding: 20px;
  }

  #defaultLayout .e-panel {
    transition: none !important;
  }
</style>

Placing components as content of panels

Dashboard panels can host other UI components such as charts, grids, maps, and gauges by assigning the corresponding component element to the panel’s content of the panel.

To see a demonstration of composing a Dashboard Layout with UI components, view this video:

The following sample shows adding EJ2 Chart components as panel content.

<template>
  <div className="control-section" id="control_dash">
    <div className="content-wrapper">
      <!--  Dashboard Layout component declaration -->
      <ejs-dashboardlayout ref="DashbordInstance" :columns="7" id='edit_dashboard' :allowResizing="false"
        :allowDragging="true">
        <e-panels>
          <e-panel :row="0" :col="0" :sizeX="3" :sizeY="2" header="<div>Product usage ratio</div>"
            :content="pie"></e-panel>
          <e-panel :row="0" :col="3" :sizeX="3" :sizeY="2" header="<div>Mobile browsers usage</div>"
            :content="pie1"></e-panel>
          <e-panel :row="1" :col="0" :sizeX="3" :sizeY="2" header="<div>Spline Chart</div>" :content="spline"></e-panel>
        </e-panels>
      </ejs-dashboardlayout>
      <!-- end of Dashboard Layout component -->
    </div>
  </div>
</template>

<script setup>

  // Import syncfusion Dashboard Layout component from layouts package
  import { DashboardLayoutComponent as EjsDashboardlayout, PanelDirective as EPanel, PanelsDirective as EPanels } from "@syncfusion/ej2-vue-layouts";
  // Import syncfusion chart component from charts package
  import { AccumulationChartComponent, SeriesDirective, SeriesCollectionDirective, PieSeries, AccumulationDataLabel, AccumulationTooltip, ChartComponent, SplineAreaSeries, Legend, DateTime, AccumulationSeriesDirective, AccumulationSeriesCollectionDirective } from "@syncfusion/ej2-vue-charts";
  import { createApp } from "vue";

  var splineTemplate = createApp().component("contentTemp1", {
    components: {
      "ejs-chart": ChartComponent,
      "e-series-collection": SeriesCollectionDirective,
      "e-series": SeriesDirective
    },
    template: `
      <div id="container" style='display:block;height:100%, width:100%;'>
        <!--  Chart component declaration -->
        <ejs-chart class="chart-content" ref="splineInstance" style='display:block;height:100%, width:100%;':primaryXAxis='primaryXAxis' :primaryYAxis='primaryYAxis'
        :chartArea='chartArea' :height='height' :width='width' :border='border'>
          <e-series-collection>
            <e-series :dataSource='seriesData' type='SplineArea' xName='x' yName='y' name='Jan' width=2 opacity=0.5 :fill="fill0"></e-series>
            <e-series :dataSource='seriesData1' type='SplineArea' xName='x' yName='y' name='Feb' width=2 opacity=0.5 :fill="fill1"></e-series>
          </e-series-collection>
        </ejs-chart>
      <!-- end of chart component -->
    </div>`,

    data: function () {
      return {
        seriesData: [
          { x: new Date(2002, 0, 1), y: 2.2 }, { x: new Date(2003, 0, 1), y: 3.4 },
          { x: new Date(2004, 0, 1), y: 2.8 }, { x: new Date(2005, 0, 1), y: 1.6 },
          { x: new Date(2006, 0, 1), y: 2.3 }, { x: new Date(2007, 0, 1), y: 2.5 },
          { x: new Date(2008, 0, 1), y: 2.9 }, { x: new Date(2009, 0, 1), y: 3.8 },
          { x: new Date(2010, 0, 1), y: 1.4 }, { x: new Date(2011, 0, 1), y: 3.1 }
        ],
        seriesData1: [
          { x: new Date(2002, 0, 1), y: 2 }, { x: new Date(2003, 0, 1), y: 1.7 },
          { x: new Date(2004, 0, 1), y: 1.8 }, { x: new Date(2005, 0, 1), y: 2.1 },
          { x: new Date(2006, 0, 1), y: 2.3 }, { x: new Date(2007, 0, 1), y: 1.6 },
          { x: new Date(2008, 0, 1), y: 1.5 }, { x: new Date(2009, 0, 1), y: 2.7 },
          { x: new Date(2010, 0, 1), y: 1.5 }, { x: new Date(2011, 0, 1), y: 2.2 }
        ],
        //Initializing Primary X Axis
        primaryXAxis: {
          valueType: 'DateTime',
          labelFormat: 'y',
          majorGridLines: { width: 0 },
          intervalType: 'Years',
          edgeLabelPlacement: 'Shift'
        },
        //Initializing Primary Y Axis
        primaryYAxis: {
          labelFormat: '{value}%',
          lineStyle: { width: 0 },
          majorTickLines: { width: 0 },
          minorTickLines: { width: 0 }
        },
        chartArea: {
          border: {
            width: 0
          }
        },
        border: {
          color: 'transparent'
        },
        width: "100%",
        fill1: 'rgb(0, 189, 174)',
        fill0: 'rgb(239, 183, 202)',
        height: "99%"
      };
    },
    provide: { 'chart': [SplineAreaSeries, Legend, DateTime] },
    mounted() {
      this.$refs.splineInstance.ej2Instances.height = "100%";
      this.$refs.splineInstance.ej2Instances.width = "100%";
    }
  });

  var pietemplate = createApp().component("contentTemp2", {
    components: {
      "ejs-accumulationchart": AccumulationChartComponent,
      "e-accumulation-series-collection": AccumulationSeriesCollectionDirective,
      "e-accumulation-series": AccumulationSeriesDirective
    },
    template: `
      <div id="app" style='display:block;height:100%; width:100%;'>
        <ejs-accumulationchart class="chart-content" ref="accumulationInstance" style='display:block;height:100%; width:100%;' :legendSettings="legendSettings" :tooltip="tooltip">
          <e-accumulation-series-collection>
            <e-accumulation-series :dataSource='seriesData' xName='x' yName='y' innerRadius="40%" :dataLabel="dataLabel"> </e-accumulation-series>
          </e-accumulation-series-collection>
        </ejs-accumulationchart>
      </div>`,

    data() {
      return {
        seriesData: [
          { x: 'TypeScript', y: 13, text: 'TS 13%' },
          { x: 'React', y: 12.5, text: 'Reat 12.5%' },
          { x: 'MVC', y: 12, text: 'MVC 12%' },
          { x: 'Core', y: 12.5, text: 'Core 12.5%' },
          { x: 'Vue', y: 10, text: 'Vue 10%' },
          { x: 'Angular', y: 40, text: 'Angular 40%' }
        ],
        legendSettings: { visible: false },
        dataLabel: { visible: true, position: 'Inside', name: 'value' },
        tooltip: {
          enable: true, header: '<b>${point.x}</b>', format: 'Composition: <b>${point.y}</b>'
        },
      };
    },
    provide: {
      accumulationchart: [PieSeries, AccumulationDataLabel, AccumulationTooltip]
    },
    mounted() {
      this.$refs.accumulationInstance.ej2Instances.height = "100%";
      this.$refs.accumulationInstance.ej2Instances.width = "100%";
    }
  });

  var pietemplate1 = createApp().component("contentTemp3", {
    components: {
      "ejs-accumulationchart": AccumulationChartComponent,
      "e-accumulation-series-collection": AccumulationSeriesCollectionDirective,
      "e-accumulation-series": AccumulationSeriesDirective
    },
    template: `
      <div id="app1" style='display:block;height:100%; width:100%;'>
        <ejs-accumulationchart class="chart-content" ref="accumulationInstance" style='display:block;height:100%; width:100%;' :legendSettings="legendSettings" :tooltip="tooltip">
          <e-accumulation-series-collection>
            <e-accumulation-series  :dataSource='seriesData' xName='x' yName='y' innerRadius="40%" :dataLabel="dataLabel"> </e-accumulation-series>
          </e-accumulation-series-collection>
        </ejs-accumulationchart>
      </div>`,

    data() {
      return {
        seriesData: [
          { 'x': 'Chrome', y: 37, text: '37%' },
          { 'x': 'UC Browser', y: 17, text: '17%' },
          { 'x': 'iPhone', y: 19, text: '19%' },
          { 'x': 'Others', y: 4, text: '4%' },
          { 'x': 'Opera', y: 11, text: '11%' },
          { 'x': 'Android', y: 12, text: '12%' }
        ],
        legendSettings: { visible: false },
        dataLabel: { visible: true, position: 'Inside', name: 'value' },
        tooltip: {
          enable: true, header: '<b>${point.x}</b>', format: 'Composition: <b>${point.y}</b>'
        },
      };
    },
    provide: {
      accumulationchart: [PieSeries, AccumulationDataLabel, AccumulationTooltip]
    },
    mounted() {
      this.$refs.accumulationInstance.ej2Instances.height = "100%";
      this.$refs.accumulationInstance.ej2Instances.width = "100%";
    }
  });

  const spline = () => {
    return { template: splineTemplate }
  };
  const pie = () => {
    return { template: pietemplate }
  };
  const pie1 = () => {
    return { template: pietemplate1 }
  }
</script>

<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";

  /* Dashboard Layout component styles  */
  #dashboard_default .e-panel .e-panel-content {
    vertical-align: middle;
    font-weight: 600;
    font-size: 20px;
    text-align: center;
    line-height: 100px;
  }

  .chart-content {
    height: 100%;
    width: 100%;
  }

  #container {
    width: 100%;
    height: 100%;
  }

  #dashboard_default .e-panel {
    transition: none !important;
  }
</style>
<template>
  <div className="control-section" id="control_dash">
    <div className="content-wrapper">
      <!--  Dashboard Layout component declaration -->
      <ejs-dashboardlayout ref="DashbordInstance" :columns="7" id='edit_dashboard' :allowResizing="false"
        :allowDragging="true">
        <e-panels>
          <e-panel :row="0" :col="0" :sizeX="3" :sizeY="2" header="<div>Product usage ratio</div>"
            :content="pie"></e-panel>
          <e-panel :row="0" :col="3" :sizeX="3" :sizeY="2" header="<div>Mobile browsers usage</div>"
            :content="pie1"></e-panel>
          <e-panel :row="1" :col="0" :sizeX="3" :sizeY="2" header="<div>Spline Chart</div>" :content="spline"></e-panel>
        </e-panels>
      </ejs-dashboardlayout>
      <!-- end of Dashboard Layout component -->
    </div>
  </div>
</template>

<script>

  // Import syncfusion Dashboard Layout component from layouts package
  import { DashboardLayoutComponent, PanelDirective, PanelsDirective } from "@syncfusion/ej2-vue-layouts";
  // Import syncfusion chart component from charts package
  import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, PieSeries, AccumulationDataLabel, AccumulationTooltip, ChartComponent, SplineAreaSeries, Legend, DateTime, SeriesDirective, SeriesCollectionDirective } from "@syncfusion/ej2-vue-charts";
  import { createApp } from "vue";

  var splineTemplate = createApp().component("contentTemp1", {
    components: {
      "ejs-chart": ChartComponent,
      "e-series-collection": SeriesCollectionDirective,
      "e-series": SeriesDirective
    },
    template: `
      <div id="container" style='display:block;height:100%, width:100%;'>
        <!--  Chart component declaration -->
        <ejs-chart class="chart-content" ref="splineInstance" style='display:block;height:100%, width:100%;':primaryXAxis='primaryXAxis' :primaryYAxis='primaryYAxis'
        :chartArea='chartArea' :height='height' :width='width' :border='border'>
          <e-series-collection>
            <e-series :dataSource='seriesData' type='SplineArea' xName='x' yName='y' name='Jan' width=2 opacity=0.5 :fill="fill0"></e-series>
            <e-series :dataSource='seriesData1' type='SplineArea' xName='x' yName='y' name='Feb' width=2 opacity=0.5 :fill="fill1"></e-series>
          </e-series-collection>
        </ejs-chart>
      <!-- end of chart component -->
    </div>`,

    data: function () {
      return {
        seriesData: [
          { x: new Date(2002, 0, 1), y: 2.2 }, { x: new Date(2003, 0, 1), y: 3.4 },
          { x: new Date(2004, 0, 1), y: 2.8 }, { x: new Date(2005, 0, 1), y: 1.6 },
          { x: new Date(2006, 0, 1), y: 2.3 }, { x: new Date(2007, 0, 1), y: 2.5 },
          { x: new Date(2008, 0, 1), y: 2.9 }, { x: new Date(2009, 0, 1), y: 3.8 },
          { x: new Date(2010, 0, 1), y: 1.4 }, { x: new Date(2011, 0, 1), y: 3.1 }
        ],
        seriesData1: [
          { x: new Date(2002, 0, 1), y: 2 }, { x: new Date(2003, 0, 1), y: 1.7 },
          { x: new Date(2004, 0, 1), y: 1.8 }, { x: new Date(2005, 0, 1), y: 2.1 },
          { x: new Date(2006, 0, 1), y: 2.3 }, { x: new Date(2007, 0, 1), y: 1.6 },
          { x: new Date(2008, 0, 1), y: 1.5 }, { x: new Date(2009, 0, 1), y: 2.7 },
          { x: new Date(2010, 0, 1), y: 1.5 }, { x: new Date(2011, 0, 1), y: 2.2 }
        ],
        //Initializing Primary X Axis
        primaryXAxis: {
          valueType: 'DateTime',
          labelFormat: 'y',
          majorGridLines: { width: 0 },
          intervalType: 'Years',
          edgeLabelPlacement: 'Shift'
        },
        //Initializing Primary Y Axis
        primaryYAxis: {
          labelFormat: '{value}%',
          lineStyle: { width: 0 },
          majorTickLines: { width: 0 },
          minorTickLines: { width: 0 }
        },
        chartArea: {
          border: {
            width: 0
          }
        },
        border: {
          color: 'transparent'
        },
        width: "100%",
        fill1: 'rgb(0, 189, 174)',
        fill0: 'rgb(239, 183, 202)',
        height: "99%"
      };
    },
    provide: {
      chart: [SplineAreaSeries, Legend, DateTime]
    },
    mounted() {
      this.$refs.splineInstance.ej2Instances.height = "100%";
      this.$refs.splineInstance.ej2Instances.width = "100%";
    }
  });

  var pietemplate = createApp().component("contentTemp2", {
    components: {
      "ejs-accumulationchart": AccumulationChartComponent,
      "e-accumulation-series-collection": AccumulationSeriesCollectionDirective,
      "e-accumulation-series": AccumulationSeriesDirective
    },
    template: `
      <div id="app" style='display:block;height:100%; width:100%;'>
        <ejs-accumulationchart class="chart-content" ref="accumulationInstance" style='display:block;height:100%; width:100%;' :legendSettings="legendSettings" :tooltip="tooltip">
          <e-accumulation-series-collection>
            <e-accumulation-series :dataSource='seriesData' xName='x' yName='y' innerRadius="40%" :dataLabel="dataLabel"> </e-accumulation-series>
          </e-accumulation-series-collection>
        </ejs-accumulationchart>
      </div>`,

    data() {
      return {
        seriesData: [
          { x: 'TypeScript', y: 13, text: 'TS 13%' },
          { x: 'React', y: 12.5, text: 'Reat 12.5%' },
          { x: 'MVC', y: 12, text: 'MVC 12%' },
          { x: 'Core', y: 12.5, text: 'Core 12.5%' },
          { x: 'Vue', y: 10, text: 'Vue 10%' },
          { x: 'Angular', y: 40, text: 'Angular 40%' }
        ],
        legendSettings: { visible: false },
        dataLabel: { visible: true, position: 'Inside', name: 'value' },
        tooltip: {
          enable: true, header: '<b>${point.x}</b>', format: 'Composition: <b>${point.y}</b>'
        },
      };
    },
    provide: {
      accumulationchart: [PieSeries, AccumulationDataLabel, AccumulationTooltip]
    },
    mounted() {
      this.$refs.accumulationInstance.ej2Instances.height = "100%";
      this.$refs.accumulationInstance.ej2Instances.width = "100%";
    }
  });

  var pietemplate1 = createApp().component("contentTemp3", {
    components: {
      "ejs-accumulationchart": AccumulationChartComponent,
      "e-accumulation-series-collection": AccumulationSeriesCollectionDirective,
      "e-accumulation-series": AccumulationSeriesDirective
    },
    template: `
      <div id="app1" style='display:block;height:100%; width:100%;'>
        <ejs-accumulationchart class="chart-content" ref="accumulationInstance" style='display:block;height:100%; width:100%;' :legendSettings="legendSettings" :tooltip="tooltip">
          <e-accumulation-series-collection>
            <e-accumulation-series  :dataSource='seriesData' xName='x' yName='y' innerRadius="40%" :dataLabel="dataLabel"> </e-accumulation-series>
          </e-accumulation-series-collection>
        </ejs-accumulationchart>
      </div>`,

    data() {
      return {
        seriesData: [
          { 'x': 'Chrome', y: 37, text: '37%' },
          { 'x': 'UC Browser', y: 17, text: '17%' },
          { 'x': 'iPhone', y: 19, text: '19%' },
          { 'x': 'Others', y: 4, text: '4%' },
          { 'x': 'Opera', y: 11, text: '11%' },
          { 'x': 'Android', y: 12, text: '12%' }
        ],
        legendSettings: { visible: false },
        dataLabel: { visible: true, position: 'Inside', name: 'value' },
        tooltip: {
          enable: true, header: '<b>${point.x}</b>', format: 'Composition: <b>${point.y}</b>'
        },
      };
    },
    provide: {
      accumulationchart: [PieSeries, AccumulationDataLabel, AccumulationTooltip]
    },
    mounted() {
      this.$refs.accumulationInstance.ej2Instances.height = "100%";
      this.$refs.accumulationInstance.ej2Instances.width = "100%";
    }
  });

  export default {
    name: "App",
    components: {
      "ejs-dashboardlayout": DashboardLayoutComponent,
      "e-panels": PanelsDirective,
      "e-panel": PanelDirective
    },
    data: function () {
      return {
        spline: function () {
          return { template: splineTemplate }
        },
        pie: function () {
          return { template: pietemplate }
        },
        pie1: function () {
          return { template: pietemplate1 }
        }
      };
    }
  }
</script>

<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";

  /* Dashboard Layout component styles  */
  #dashboard_default .e-panel .e-panel-content {
    vertical-align: middle;
    font-weight: 600;
    font-size: 20px;
    text-align: center;
    line-height: 100px;
  }

  .chart-content {
    height: 100%;
    width: 100%;
  }

  #container {
    width: 100%;
    height: 100%;
  }

  #dashboard_default .e-panel {
    transition: none !important;
  }
</style>

Refer to the Vue Dashboard Layout feature tour page for its groundbreaking feature representations. Also explore the Vue Dashboard Layout example to knows how to present and manipulate data.

Setting panel headers in React Dashboard Layout component

18 Nov 201824 minutes to read

The Dashboard Layout component is designed for data monitoring and process management applications. Panel content—including data visualizations, HTML templates, or interactive components—is defined using the content property. Also, a word or phrase that summarizes the panel’s content can be added as the header on the top of each panel using the header property of the panel.

The following example demonstrates how to add content for each panel using the header and content properties of the panels.

import { DashboardLayoutComponent } from '@syncfusion/ej2-react-layouts';
import * as React from 'react';
function App() {
    const cellSpacing = [10, 10];
    let panels = [
        { 'id': 'Panel0', 'sizeX': 1, 'sizeY': 1, 'row': 0, 'col': 0, header: '<div>Panel 0</div>', content: '<div class="content">Panel Content<div>' },
        { 'id': 'Panel1', 'sizeX': 3, 'sizeY': 2, 'row': 0, 'col': 1, header: '<div>Panel 1</div>', content: '<div class="content">Panel Content<div>' },
        { 'id': 'Panel2', 'sizeX': 1, 'sizeY': 3, 'row': 0, 'col': 4, header: '<div>Panel 2</div>', content: '<div class="content">Panel Content<div>' },
        { 'id': 'Panel3', 'sizeX': 1, 'sizeY': 1, 'row': 1, 'col': 0, header: '<div>Panel 3</div>', content: '<div class="content">Panel Content<div>' },
        { 'id': 'Panel4', 'sizeX': 2, 'sizeY': 1, 'row': 2, 'col': 0, header: '<div>Panel 4</div>', content: '<div class="content">Panel Content<div>' },
        { 'id': 'Panel5', 'sizeX': 1, 'sizeY': 1, 'row': 2, 'col': 2, header: '<div>Panel 5</div>', content: '<div class="content">Panel Content<div>' },
        { 'id': 'Panel6', 'sizeX': 1, 'sizeY': 1, 'row': 2, 'col': 3, header: '<div>Panel 6</div>', content: '<div class="content">Panel Content<div>' }
    ];
    return (<div>
          <div className="control-section">
              <DashboardLayoutComponent id='defaultLayout' cellSpacing={cellSpacing} panels={panels} columns={5}/>
          </div>
      </div>);
}
export default App;
import {  DashboardLayoutComponent } from '@syncfusion/ej2-react-layouts';
import * as React from 'react';

function App() {
  const cellSpacing: number[] = [10, 10];
  let panels: object[] =    [
    {'id':'Panel0', 'sizeX': 1, 'sizeY': 1,'row': 0, 'col': 0, header:'<div>Panel 0</div>', content:'<div class="content">Panel Content<div>'},
    {'id':'Panel1', 'sizeX': 3, 'sizeY': 2,'row': 0, 'col': 1, header:'<div>Panel 1</div>', content:'<div class="content">Panel Content<div>'},
    {'id':'Panel2', 'sizeX': 1, 'sizeY': 3,'row': 0, 'col': 4, header:'<div>Panel 2</div>', content:'<div class="content">Panel Content<div>'},
    {'id':'Panel3', 'sizeX': 1, 'sizeY': 1,'row': 1, 'col': 0, header:'<div>Panel 3</div>', content:'<div class="content">Panel Content<div>'},
    {'id':'Panel4', 'sizeX': 2, 'sizeY': 1,'row': 2, 'col': 0, header:'<div>Panel 4</div>', content:'<div class="content">Panel Content<div>'},
    {'id':'Panel5', 'sizeX': 1, 'sizeY': 1,'row': 2, 'col': 2, header:'<div>Panel 5</div>', content:'<div class="content">Panel Content<div>'},
    {'id':'Panel6', 'sizeX': 1, 'sizeY': 1,'row': 2, 'col': 3, header:'<div>Panel 6</div>', content:'<div class="content">Panel Content<div>'}
  ];

  return (
      <div>
          <div className="control-section">
              <DashboardLayoutComponent id='defaultLayout' cellSpacing={cellSpacing}  panels={panels} columns={5} />
          </div>
      </div>
  );
}
export default App;
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';
ReactDOM.render(<App />, document.getElementById('root'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App  from './App';

ReactDOM.render(<App />, document.getElementById('root'));
@import "../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-react-layouts/styles/tailwind3.css";

.control-section {
    margin: 0 auto;
    width: 500px;
  }

  #loader {
    color: #008cff;
    font-family: 'Helvetica Neue','calibiri';
    font-size: 14px;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
  }
  
  .e-panel-container .content {
    font-weight: 600;
    text-align: center;
    margin-top: 10px;
    line-height: 100%;
  }
  
  .e-dashboard-layout.e-control .e-panel .e-panel-container .e-panel-header {
    color: rgba(0, 0, 0, 0.61);
  }
  
  .e-panel .e-header-text {
    padding: 12px 0 12px 0;
  }
  
  .e-dashboard-layout.e-control .e-panel:hover {
    border: 0px;
  }
  
  .e-dashboard-layout.e-control .e-panel .e-panel-header {
    font-size: 15px;
    font-weight: 500;
    height: 37px;
    padding: 10px;
    vertical-align: middle;
    border-bottom: 0.5px solid rgba(0, 0, 0, .125);
  }
  
  .e-panel-header {
    padding: 10px;
    margin-bottom: 0;
    background-color: rgba(0, 0, 0, .03);
  }
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion EJ2 React Dashboard Layout Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-buttons/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-react-layouts/styles/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <link rel="stylesheet" href="App.css">
</head>
<body>
    <div id='root'>
        <div id='loader'>Loading....</div>
    </div>
</body>
</html>

Integrating Syncfusion components as panel content

Dashboards commonly use components like charts, grids, maps, gauges, and more can be used to present complex data. Such components can be embedded as panel content by assigning the corresponding component element to the content of the panel.

The following example demonstrates integrating Chart components as the content for each panel in the dashboard layout component.

import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, AccumulationTooltip, Category, ChartComponent, ColumnSeries, DataLabel, Inject, Legend, LineSeries, SeriesCollectionDirective, SeriesDirective, Tooltip } from "@syncfusion/ej2-react-charts";
import { DashboardLayoutComponent, PanelDirective, PanelsDirective } from '@syncfusion/ej2-react-layouts';
import * as React from 'react';
function App() {
    const cellSpacing = [10, 10];
    // Template for line Chart 
    function lineTemplate() {
        const lineData = [
            { x: 2013, y: 28 }, { x: 2014, y: 25 }, { x: 2015, y: 26 }, { x: 2016, y: 27 },
            { x: 2017, y: 32 }, { x: 2018, y: 35 },
        ];
        return (<div className="template">
                <ChartComponent style=height><Inject services={[LineSeries]}/>
                    <SeriesCollectionDirective>
                        <SeriesDirective dataSource={lineData} xName='x' yName='y' type='Line'/>
                    </SeriesCollectionDirective>
                </ChartComponent>
            </div>);
    }
    // Template for Pie Chart
    function pieTemplate() {
        const pieData = [
            { x: 'TypeScript', y: 13, text: 'TS 13%' },
            { x: 'React', y: 12.5, text: 'React 12.5%' },
            { x: 'MVC', y: 12, text: 'MVC 12%' },
            { x: 'Core', y: 12.5, text: 'Core 12.5%' },
            { x: 'Vue', y: 10, text: 'Vue 10%' },
            { x: 'Angular', y: 40, text: 'Angular 40%' }
        ];
        return (<div className="template">
            <AccumulationChartComponent style=height tooltip=><Inject services={[AccumulationTooltip]}/>
                <AccumulationSeriesCollectionDirective>
                    <AccumulationSeriesDirective dataSource={pieData} xName='x' yName='y' innerRadius="40%"/>
                </AccumulationSeriesCollectionDirective>
            </AccumulationChartComponent>
        </div>);
    }
    // Template for Pie Chart 1
    function pieTemplate1() {
        const pieData = [
            { 'x': 'Chrome', y: 37, text: '37%' }, { 'x': 'UC Browser', y: 17, text: '17%' },
            { 'x': 'iPhone', y: 19, text: '19%' },
            { 'x': 'Others', y: 4, text: '4%' }, { 'x': 'Opera', y: 11, text: '11%' },
            { 'x': 'Android', y: 12, text: '12%' }
        ];
        const dataLabel = { visible: true, position: 'Inside', name: 'text', font: { fontWeight: '600' } };
        return (<div className="template">
            <AccumulationChartComponent style=height tooltip=>
                <Inject services={[AccumulationTooltip]}/>
                <AccumulationSeriesCollectionDirective>
                    <AccumulationSeriesDirective dataSource={pieData} dataLabel={dataLabel} xName='x' yName='y' radius="70%" name='Browser'/>
                </AccumulationSeriesCollectionDirective>
            </AccumulationChartComponent>
        </div>);
    }
    function columnTemplate() {
        const chartData = [
            { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
            { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
            { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
            { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
            { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
            { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
        ];
        return (<div className="template">
                <ChartComponent style=height primaryXAxis=>
                    <Inject services={[ColumnSeries, Legend, Tooltip, Category, DataLabel]}/>
                    <SeriesCollectionDirective>
                        <SeriesDirective dataSource={chartData} xName='month' yName='sales' type='Column'/>
                    </SeriesCollectionDirective>
                </ChartComponent>
            </div>);
    }
    return (<div>
        <div className="container">
            <div>
                <DashboardLayoutComponent id="dashboard_default" columns={6} cellSpacing={cellSpacing} allowResizing={true}>
                    <PanelsDirective>
                        <PanelDirective sizeX={3} sizeY={2} row={0} col={0} content={pieTemplate} header="<div>Product usage ratio</div>"/>
                        <PanelDirective sizeX={3} sizeY={2} row={0} col={3} content={columnTemplate} header="<div>Last year Sales Comparison</div>"/>
                        <PanelDirective sizeX={3} sizeY={2} row={0} col={3} content={pieTemplate1} header="<div>Mobile browsers usage</div>"/>
                        <PanelDirective sizeX={3} sizeY={2} row={1} col={0} content={lineTemplate} header="<div>Sales increase percentage</div>"/>
                    </PanelsDirective>
                </DashboardLayoutComponent>
            </div>
        </div>
    </div>);
}
export default App;
import {
    AccumulationChartComponent, AccumulationSeriesCollectionDirective,
    AccumulationSeriesDirective, AccumulationTooltip, Category, ChartComponent, ColumnSeries, DataLabel, Inject, Legend, LineSeries,
    SeriesCollectionDirective, SeriesDirective, Tooltip
  } from "@syncfusion/ej2-react-charts";
import {  DashboardLayoutComponent, PanelDirective , PanelsDirective } from '@syncfusion/ej2-react-layouts';
import * as React from 'react';

function App() {
    const cellSpacing: number[] = [10, 10];

    // Template for line Chart 
    function lineTemplate(): JSX.Element {
        const lineData: object[] = [
            { x: 2013, y: 28 }, { x: 2014, y: 25 },{ x: 2015, y: 26 }, { x: 2016, y: 27 },
            { x: 2017, y: 32 }, { x: 2018, y: 35 },
        ];

        return(
            <div className="template" >
                <ChartComponent style=height><Inject services={[LineSeries]} />
                    <SeriesCollectionDirective>
                        <SeriesDirective dataSource={lineData} xName='x' yName='y' type='Line'/>
                    </SeriesCollectionDirective>
                </ChartComponent>
            </div>
        );
    }
    // Template for Pie Chart
    function pieTemplate(): JSX.Element {
        const pieData: object[] = [
            { x: 'TypeScript', y: 13, text: 'TS 13%' }, 
            { x: 'React', y: 12.5, text: 'React 12.5%' },
            { x: 'MVC', y: 12, text: 'MVC 12%' },
            { x: 'Core', y: 12.5, text: 'Core 12.5%' },
            { x: 'Vue', y: 10, text: 'Vue 10%' },
            { x: 'Angular', y: 40, text: 'Angular 40%' }
        ];
        return(
        <div className="template" >
            <AccumulationChartComponent style=height tooltip=><Inject services={[ AccumulationTooltip]} />
                <AccumulationSeriesCollectionDirective>
                    <AccumulationSeriesDirective dataSource={pieData} xName='x' yName='y' innerRadius="40%" />
                </AccumulationSeriesCollectionDirective>
            </AccumulationChartComponent>
        </div>
        );
    }
    // Template for Pie Chart 1
    function pieTemplate1(): JSX.Element {
        const pieData: object[] = [
            { 'x': 'Chrome', y: 37, text: '37%' }, { 'x': 'UC Browser', y: 17, text: '17%' },
            { 'x': 'iPhone', y: 19, text: '19%' },
            { 'x': 'Others', y: 4, text: '4%' }, { 'x': 'Opera', y: 11, text: '11%' },
            { 'x': 'Android', y: 12, text: '12%' }
        ];
        const dataLabel: object = { visible: true, position: 'Inside', name: 'text', font: { fontWeight: '600' }};
        return(
        <div className="template" >
            <AccumulationChartComponent style=height tooltip=>
                <Inject services={[ AccumulationTooltip]} />
                <AccumulationSeriesCollectionDirective>
                    <AccumulationSeriesDirective dataSource={pieData} dataLabel={dataLabel} xName='x' yName='y' radius="70%" name = 'Browser'/>
                </AccumulationSeriesCollectionDirective>
            </AccumulationChartComponent>
        </div>
        );
    }
    function columnTemplate(): JSX.Element {
        const chartData: any[] = [
          { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
          { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
          { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
          { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
          { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
          { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
        ];
        return(
            <div className="template" >
                <ChartComponent style=height primaryXAxis=>
                    <Inject services={[ColumnSeries, Legend, Tooltip, Category, DataLabel]} />
                    <SeriesCollectionDirective>
                        <SeriesDirective dataSource={chartData} xName='month' yName='sales' type='Column' />
                    </SeriesCollectionDirective>
                </ChartComponent>
            </div>
        );
    }
    return (
    <div>
        <div className="container">
            <div>
                <DashboardLayoutComponent id="dashboard_default" columns={6} cellSpacing={cellSpacing} allowResizing={true}>
                    <PanelsDirective>
                        <PanelDirective sizeX={3} sizeY={2} row={0} col={0} content={pieTemplate as any} header="<div>Product usage ratio</div>" />
                        <PanelDirective sizeX={3} sizeY={2} row={0} col={3} content={columnTemplate as any} header="<div>Last year Sales Comparison</div>" />
                        <PanelDirective sizeX={3} sizeY={2} row={0} col={3} content={pieTemplate1 as any} header="<div>Mobile browsers usage</div>"/>
                        <PanelDirective sizeX={3} sizeY={2} row={1} col={0} content={lineTemplate as any} header="<div>Sales increase percentage</div>"/>
                    </PanelsDirective>
                </DashboardLayoutComponent>
            </div>
        </div>
    </div>
    );
}
export default App;
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';
ReactDOM.render(<App />, document.getElementById('root'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App  from './App';

ReactDOM.render(<App />, document.getElementById('root'));
@import "../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-react-layouts/styles/tailwind3.css";

.container {
  margin: 0 auto;
  width: 600px;
}

.e-dashboard-layout.e-control .e-panel .e-panel-container .e-panel-header {
  color: rgba(0, 0, 0, 0.61);
}

.e-panel .e-header-text {
  padding: 12px 0 12px 0;
}

.e-dashboard-layout.e-control .e-panel:hover {
  border: 0px;
}

.e-dashboard-layout.e-control .e-panel .e-panel-header {
  font-size: 15px;
  font-weight: 500;
  height: 37px;
  padding: 10px;
  vertical-align: middle;
  border-bottom: 0.5px solid rgba(0, 0, 0, .125);
}

.e-panel-header {
  padding: 10px;
  margin-bottom: 0;
  background-color: rgba(0, 0, 0, .03);
}

.e-dashboard-layout.e-control .e-panel .e-panel-header{
  height:30px
}
.e-dashboard-layout.e-control .e-panel .e-panel-header div{
  text-align: center;
}

.header{
  padding: 5px;
}

.e-panel-content{
  height: 162px;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion EJ2 React Dashboard Layout Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-buttons/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-popups/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-splitbuttons/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-react-layouts/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-grids/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-charts/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-lists/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-calendars/styles/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <link rel="stylesheet" href="App.css">
</head>
<body>
    <div id='root'>
        <div id='loader'>Loading....</div>
    </div>  
</body>
</html>

Refer to the React Dashboard Layout feature tour page for its groundbreaking feature representations. Also explore the React Dashboard Layout example to learn how to present and manipulate data.